Page MenuHomeFreeBSD

New port, www/py-qt5-webengine: Python bindings for the Qt5 toolkit,QtWebEngine module
ClosedPublic

Authored by jrm on Nov 5 2017, 5:16 AM.

Details

Test Plan
  • poudriere testport 10/11 i386/amd64 (both ports, default python flavor and py36)
  • portlint: warnings about missing LICENSE and DISTVERSION set elsewhere

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm created this revision.Nov 5 2017, 5:16 AM

I think this is one of the few times where I think one port more is better ^^ -- I would split the WebChannel part out of it, so that people that want to use WebChannel are not forced to have WebEngine installed.

tcberner added inline comments.Nov 5 2017, 7:15 AM
Mk/Uses/pyqt.mk
79 ↗(On Diff #34810)

this should go to _USE_PYQT5_ONLY

www/py-qt5-webengine/Makefile
23 ↗(On Diff #34810)

^ no tab?

adridg added a subscriber: adridg.Nov 5 2017, 9:56 PM

As @tcberner says, it's probably best to try to split this into two, webchannel and webengine, to match the existing lightweight(-ish) qt5-webchannel and the heavyweight qt5-webengine.

Mk/Uses/pyqt.mk
126 ↗(On Diff #34810)

This change looks funny, but it is correct: there is a superfluous space before two tabs in this line.

jrm updated this revision to Diff 34839.EditedNov 5 2017, 10:05 PM

Create a separate port for www/www/py-qt5-webchannel

jrm marked 2 inline comments as done.Nov 5 2017, 10:06 PM
mat added a comment.Nov 7 2017, 4:40 PM

If this goes in before the python flavors thing, could you poke me, like on irc so that I do check it does not break some magic I added here and there ?

jrm added a comment.Nov 7 2017, 4:44 PM

No problem. I could wait until you are ready with the python flavors. Do you have an approximate time that will be ready?

mat added a comment.Nov 8 2017, 11:57 AM

The patch is ready, but I am waiting for poudriere 3.2 to be released, and some doc to be written. So don't wait on my account, just ping me :-)

tcberner added inline comments.Nov 10 2017, 8:08 PM
www/py-qt5-webchannel/Makefile
14 ↗(On Diff #34839)

^ That seems wrong. I would assume webengine requireing webchannel, not the other way around.

www/py-qt5-webengine/Makefile
17 ↗(On Diff #34839)

^I would assume this needs USE_PYQT=webchannel_run?

novel added a subscriber: novel.Nov 12 2017, 7:34 AM

@jrm flavours are in now

jrm updated this revision to Diff 37519.Jan 4 2018, 3:18 PM
jrm marked an inline comment as done.

Address latest comments and update for flavors

Updating D12964: New port, www/py-qt5-webengine: Python bindings for the Qt5 toolkit,

QtWebEngine module

rakuco added a subscriber: rakuco.Jan 4 2018, 3:25 PM

I defer the review to @tcberner and @adridg who were already looking at it before. Meanwhile, I've landed the space->tab changes in pyqt.mk separately in rP458034.

jrm updated this revision to Diff 37520.Jan 4 2018, 3:46 PM
  • Add webchannel_run to USE_PYQT in www/py-qt5-webengine
  • Update after r458033

Updating D12964: New port, www/py-qt5-webengine: Python bindings for the Qt5 toolkit,

QtWebEngine module

jrm marked 2 inline comments as done.Jan 4 2018, 3:47 PM
jrm retitled this revision from New port, www/py-qt5-webengine: Python bindings for the Qt5 toolkit, QtWebEngine module to New port, www/py-qt5-webengine: Python bindings for the Qt5 toolkit,QtWebEngine module.Jan 4 2018, 4:34 PM
jrm edited the summary of this revision. (Show Details)
jrm edited the test plan for this revision. (Show Details)

You should probably bump the revision of the metaport devel/py-qt5 as it has two new run-depends.

jrm updated this revision to Diff 37528.EditedJan 4 2018, 8:22 PM

devel/py-qt5: Add new options for webchannel and webengine

tcberner accepted this revision.Jan 5 2018, 8:03 PM
tcberner added inline comments.
devel/py-qt5/Makefile
15 ↗(On Diff #37528)

I think this is equivalent to ${_USE_PYQT_ALL}. But I guess this is more readable ^^.

mat added inline comments.Jan 8 2018, 2:20 PM
devel/py-qt5/Makefile
15 ↗(On Diff #37528)

But options are parsed before USES, so _USE_PYQT_ALL does not exist at that point.
A comment on both side to keep them sync'ed could be nice though.

jrm updated this revision to Diff 37684.Jan 9 2018, 6:44 PM
  • Patch configure.py to add printsupport to QtWebEngineWidgets
  • www/py-qt5-webengine: Update pkg-plist for --enable QtWebEngineCore
tcberner accepted this revision.Jan 9 2018, 6:53 PM

After the changes, I think it's good to go :)

Thanks for working on it.

devel/py-qt5-core/files/patch-configure.py
9 ↗(On Diff #37684)

^ you should mention the webengine part too

www/py-qt5-webchannel/Makefile
14 ↗(On Diff #37684)

O would prefer:
USE_QT5= core gui network qml webchannel widgets qmake_build

www/py-qt5-webengine/Makefile
16 ↗(On Diff #37684)

^ seem to be a few to many whitespaces bewteen widgets and qmake_build

This revision was not accepted when it landed; it landed in state Needs Review.Jan 9 2018, 8:06 PM
This revision was automatically updated to reflect the committed changes.